CANVAS_REGISTER_LEGEND_RESERVATION_FUNC(3)

EXPERIMENTAL_FUNC
canvas_register_legend_reservation_func - Register legend space reservation callback.

SYNOPSIS
#include <karma_canvas.h>

KCallbackFunc canvas_register_legend_reservation_func

(KWorldCanvas canvas, void (*func) (), void *info)

DESCRIPTION
This routine will register a legend space reservation function for a world canvas. The function will be called whenever the contents of the canvas need to be redrawn. Many reservations functions may be registered per canvas. The first function registered is the first function called upon refresh.

canvas
    The world canvas.

func
    The function that is called when the canvas needs to be refreshed. The prototype function is <-canvas_PROTO_legend_reservation_func->.

info
    The initial arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/